Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.identity.metadata.profile.info
Class PropertyInfoSupport

    java.lang.Object
      org.jboss.portal.identity.metadata.profile.info.PropertyInfoSupport

All Implemented Interfaces:
  PropertyInfo

    public class PropertyInfoSupport

extends java.lang.Object
implements PropertyInfo

Version:
  $Revision: 1.1 $
Author:
  Boleslaw Dawidowicz

Field Summary

Fields inherited from interface org.jboss.portal.identity.info.PropertyInfo
`ACCESS_MODE_READ_ONLY, ACCESS_MODE_READ_WRITE, MAPPING_DB_TYPE_COLUMN, MAPPING_DB_TYPE_DYNAMIC, USAGE_MANDATORY, USAGE_OPTIONAL`

Constructor Summary
`PropertyInfoSupport(PropertyMetaData meta)`

Method Summary
`java.lang.String` | `getAccessMode()` Returns property access mode
`org.jboss.portal.common.i18n.LocalizedString` | `getDescription()` Returns property description
`org.jboss.portal.common.i18n.LocalizedString` | `getDisplayName()` Returns property display name
`java.lang.String` | `getMappingDBType()` Returns type of property database mapping
`java.lang.String` | `getMappingDBValue()` Returns name of database column name to which this property corresponds
`java.lang.String` | `getMappingLDAPValue()` Returns name of LDAP attribue to which this property corresponds
`java.lang.String` | `getName()` Returns property name
`java.lang.String` | `getType()` Returns property type
`java.lang.String` | `getUsage()` Returns property usage
`boolean` | `isMappedDB()` If property is mapped in database
`boolean` | `isMappedLDAP()` If property is mapped in LDAP
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertyInfoSupport

    public PropertyInfoSupport(PropertyMetaData meta)
                        throws IdentityException

Throws:
  `IdentityException`

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: `PropertyInfo`
  Returns property name

  Specified by:
    `getName` in interface `PropertyInfo`
  Returns:

### getType

    public java.lang.String getType()

  Description copied from interface: `PropertyInfo`
  Returns property type

  Specified by:
    `getType` in interface `PropertyInfo`
  Returns:

### getAccessMode

    public java.lang.String getAccessMode()

  Description copied from interface: `PropertyInfo`
  Returns property access mode

  Specified by:
    `getAccessMode` in interface `PropertyInfo`
  Returns:

### getUsage

    public java.lang.String getUsage()

  Description copied from interface: `PropertyInfo`
  Returns property usage

  Specified by:
    `getUsage` in interface `PropertyInfo`
  Returns:

### getDisplayName

    public org.jboss.portal.common.i18n.LocalizedString getDisplayName()

  Description copied from interface: `PropertyInfo`
  Returns property display name

  Specified by:
    `getDisplayName` in interface `PropertyInfo`
  Returns:

### getDescription

    public org.jboss.portal.common.i18n.LocalizedString getDescription()

  Description copied from interface: `PropertyInfo`
  Returns property description

  Specified by:
    `getDescription` in interface `PropertyInfo`
  Returns:

### getMappingDBType

    public java.lang.String getMappingDBType()

  Description copied from interface: `PropertyInfo`
  Returns type of property database mapping

  Specified by:
    `getMappingDBType` in interface `PropertyInfo`
  Returns:

### getMappingLDAPValue

    public java.lang.String getMappingLDAPValue()

  Description copied from interface: `PropertyInfo`
  Returns name of LDAP attribue to which this property corresponds

  Specified by:
    `getMappingLDAPValue` in interface `PropertyInfo`
  Returns:

### getMappingDBValue

    public java.lang.String getMappingDBValue()

  Description copied from interface: `PropertyInfo`
  Returns name of database column name to which this property corresponds

  Specified by:
    `getMappingDBValue` in interface `PropertyInfo`
  Returns:

### isMappedDB

    public boolean isMappedDB()

  Description copied from interface: `PropertyInfo`
  If property is mapped in database

  Specified by:
    `isMappedDB` in interface `PropertyInfo`
  Returns:

### isMappedLDAP

    public boolean isMappedLDAP()

  Description copied from interface: `PropertyInfo`
  If property is mapped in LDAP

  Specified by:
    `isMappedLDAP` in interface `PropertyInfo`
  Returns:

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD